OTBCLI_LSMSSEGMENTATION(1)

NAME
otbcli_LSMSSegmentation - OTB LSMSSegmentation application

DESCRIPTION
This is the LSMSSegmentation application, version 5.2.0 Second step of the exact Large-Scale Mean-Shift segmentation workflow.

Complete documentation: http://www.orfeo-toolbox.org/Applications/LSMSSegmentation.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Filtered image (mandatory)

-inpos
    <string> Spatial image (optional, off by default)

 -out <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is uint32) (mandatory)

-ranger
    <float> Range radius (optional, on by default, default value is 15)

-spatialr
    <float> Spatial radius (optional, on by default, default value is 5)

-minsize
    <int32> Minimum Region Size (optional, on by default, default value is 0)

-tilesizex <int32>
    Size of tiles in pixel (X-axis) (mandatory, default value is 500)

-tilesizey <int32>
    Size of tiles in pixel (Y-axis) (mandatory, default value is 500)

-tmpdir
    <string> Directory where to write temporary files (optional, off by default)

-cleanup
    <boolean> Temporary files cleaning (optional, on by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbcli_LSMSSegmentation -in smooth.tif -inpos position.tif -out segmentation.tif -ranger 15 -spatialr 5 -minsize 0 -tilesizex 256 -tilesizey 256

SEE ALSO
The full documentation for otbcli_LSMSSegmentation is maintained as a Texinfo manual. If the info and otbcli_LSMSSegmentation programs are properly installed at your site, the command

    info otbcli_LSMSSegmentation

should give you access to the complete manual.